<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://immowp.fr
 * @since             1.0.2
 * @package           Immowp_Gestion_Immobiliere
 *
 * @wordpress-plugin
 * Plugin Name:       ImmoWP Gestion Immobiliere
 * Plugin URI:        https://immowp.fr
 * Description:       Version Lite de ImmoWP - Gestion de vos biens immobiliers.
 * Version:           1.0.2
 * Author:            ImmoWP
 * Author URI:        https://www.lebrunflorian.info/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       immowp-gestion-immobiliere
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'IMMOWP_GESTION_IMMOBILIERE_LITE_VERSION', '1.0.2' );

if ( ! defined( 'IMMOWP_PLUGIN_FOLDER' ) ) {
	define( 'IMMOWP_PLUGIN_FOLDER', __DIR__ );
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-immowp-gestion-immobiliere-activator.php
 */
function immowp_activate_gestion_immobiliere() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-immowp-gestion-immobiliere-activator.php';
	Immowp_Gestion_Immobiliere_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-immowp-gestion-immobiliere-deactivator.php
 */
function immowp_deactivate_gestion_immobiliere() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-immowp-gestion-immobiliere-deactivator.php';
	Immowp_Gestion_Immobiliere_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'immowp_activate_gestion_immobiliere' );
register_deactivation_hook( __FILE__, 'immowp_deactivate_gestion_immobiliere' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-immowp-gestion-immobiliere.php';



/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function immowp_run_gestion_immobiliere() {

	$plugin = new Immowp_Gestion_Immobiliere();
	$plugin->run();
}
immowp_run_gestion_immobiliere();
